Bug 55439 - failut in mutex.c in glib cause mozilla to crash with j2sdk 1.4.0 beta3
failut in mutex.c in glib cause mozilla to crash with j2sdk 1.4.0 beta3
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-31 02:51 EST by Knut J BJuland
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-31 19:59:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2001-10-31 02:51:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.14-pre5-xfs i686)

Description of problem:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 5245)]
__pthread_mutex_lock (mutex=0x854ef499) at mutex.c:99
        in mutex.c
(gdb)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install mozilla 0.95 from people.redhat.com/blizard
2.install j2sdk1.4 and symlinuk libjava_oji140.so to mozilla plugin dir.	
3.run mozilla
	

Actual Results:  Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 5245)]
__pthread_mutex_lock (mutex=0x854ef499) at mutex.c:99
        in mutex.c
(gdb)

Expected Results:  mozilla should run

Additional info:

I found out this by running gdb.
Comment 1 Owen Taylor 2001-10-31 19:59:46 EST
Doesn't seem to have anything to do with GLib
Comment 2 Knut J BJuland 2001-11-01 00:56:07 EST
I upgrade to mozilla nightly and it work now with java 1.4.0 beta3

Note You need to log in before you can comment on or make changes to this bug.